#!/bin/sh

OVALALL=$HOME/prod/cve-database/bin/generate-oval-all.pl

LOGFILE=logs/generate-oval-all-logfile.txt

perl $OVALALL > $LOGFILE 2>&1

# keep failed logs, and the last successful run to avoid filling the disk.
if ! grep "^SUCCESS$" $LOGFILE >/dev/null; then
	echo "Running $OVALALL generated incomplete/errnonous output:"
	tail $LOGFILE
	mv $LOGFILE $LOGFILE.`date +"%Y-%m-%d:%H-%M-%S"`
	ps auxw
	exit 1
else
	# rm $LOGFILE
	touch $LOGFILE
fi

git status --porcelain data/ovalids |grep "M " && git commit -m "oval id update" data/ovalids

exit 0
